import java.util.Random;

public class FourSidedDie implements Die {
    
    private final Random rand = new Random();
    
    private int top;
    
    public FourSidedDie() {
        this.roll();
    }
    
    public void roll() {
        top = rand.nextInt(4) + 1;
    }
    
    public int getNumShowing() {
        return top;
    }
    
}