public class DiceGame {
 
    /**
     * Plays the dice game using the provided die
     * and returns the player's score (total of
     * rolling the die five times).
     */
    public static int playGame(Die die) {
        int score = 0;
        for (int i = 0; i < 5; i++) {
           // roll the die and add the result to the score 
           die.roll();
           int value = die.getNumShowing();
           System.out.println("You rolled a " + value);
           score += value;
        }
        return score;
    }
    
    
    public static void main(String[] args) {
        
        Die myDie = new FourSidedDie(); // make a Die, any die!
        
        int score = playGame(myDie);
        System.out.println("Your score is " + score);
    }
    
}